---
title: "operator-sdk add"
---
## operator-sdk add

Adds a controller or resource to the project

### Synopsis

Adds a controller or resource to the project

### Options

```
  -h, --help   help for add
```

### SEE ALSO

* [operator-sdk](../operator-sdk)	 - An SDK for building operators with ease
* [operator-sdk add api](../operator-sdk_add_api)	 - Adds a new api definition under pkg/apis
* [operator-sdk add controller](../operator-sdk_add_controller)	 - Adds a new controller pkg

